Namespace
library
Image / Tag
swift:6.0.2-jammy-slim
Content Digest
sha256:761f27a91b3bf083d4c7c633e35094e26782334495ce76f74df7ec5215de7da2
Details
Created

2024-10-28 18:01:55 UTC

Size

107 MB

Content Digest
Labels
  • description
    Docker Container for the Swift programming language
  • maintainer
    Swift Infrastructure <swift-infrastructure@forums.swift.org>
  • org.opencontainers.image.ref.name
    ubuntu
  • org.opencontainers.image.version
    22.04

Environment
PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

SWIFT_BRANCH

swift-6.0.2-release

SWIFT_PLATFORM

ubuntu22.04

SWIFT_SIGNING_KEY

52BB7E3DE28A71BE22EC05FFEF80A866B47A981F

SWIFT_VERSION

swift-6.0.2-RELEASE

SWIFT_WEBROOT

https://download.swift.org


Layers

[#000] sha256:6414378b647780fee8fd903ddb9541d134a1947ce092d08bdeb23a54cb3684ac - 26.33% (28.2 MB)

[#001] sha256:4c2db3280eb8eb284bc85e94c9bca1cf580c414fac1c64120cc1dba89ccfe427 - 17.14% (18.3 MB)

[#002] sha256:4e6392d8a49f72b01d0e1c8dd66aa48f4fb7d29264747cbcc5fcffbda1e8ab6c - 56.52% (60.5 MB)


History
2024-09-11 16:25:16 UTC

/bin/sh -c #(nop) ARG RELEASE

2024-09-11 16:25:16 UTC

/bin/sh -c #(nop) ARG LAUNCHPAD_BUILD_ARCH

2024-09-11 16:25:16 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.ref.name=ubuntu

2024-09-11 16:25:16 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.version=22.04

2024-09-11 16:25:17 UTC

/bin/sh -c #(nop) ADD file:ebe009f86035c175ba244badd298a2582914415cf62783d510eab3a311a5d4e1 in /

2024-09-11 16:25:18 UTC

/bin/sh -c #(nop) CMD ["/bin/bash"]

2024-10-28 18:01:55 UTC (buildkit.dockerfile.v0)

LABEL maintainer=Swift Infrastructure <swift-infrastructure@forums.swift.org>

2024-10-28 18:01:55 UTC (buildkit.dockerfile.v0)

LABEL description=Docker Container for the Swift programming language

2024-10-28 18:01:55 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c export DEBIAN_FRONTEND=noninteractive DEBCONF_NONINTERACTIVE_SEEN=true && apt-get -q update && apt-get -q install -y libcurl4 libxml2 tzdata && rm -r /var/lib/apt/lists/* # buildkit

2024-10-28 18:01:55 UTC (buildkit.dockerfile.v0)

ARG SWIFT_SIGNING_KEY=52BB7E3DE28A71BE22EC05FFEF80A866B47A981F

2024-10-28 18:01:55 UTC (buildkit.dockerfile.v0)

ARG SWIFT_PLATFORM=ubuntu22.04

2024-10-28 18:01:55 UTC (buildkit.dockerfile.v0)

ARG SWIFT_BRANCH=swift-6.0.2-release

2024-10-28 18:01:55 UTC (buildkit.dockerfile.v0)

ARG SWIFT_VERSION=swift-6.0.2-RELEASE

2024-10-28 18:01:55 UTC (buildkit.dockerfile.v0)

ARG SWIFT_WEBROOT=https://download.swift.org

2024-10-28 18:01:55 UTC (buildkit.dockerfile.v0)

ENV SWIFT_SIGNING_KEY=52BB7E3DE28A71BE22EC05FFEF80A866B47A981F SWIFT_PLATFORM=ubuntu22.04 SWIFT_BRANCH=swift-6.0.2-release SWIFT_VERSION=swift-6.0.2-RELEASE SWIFT_WEBROOT=https://download.swift.org

2024-10-28 18:01:55 UTC (buildkit.dockerfile.v0)

RUN |5 SWIFT_SIGNING_KEY=52BB7E3DE28A71BE22EC05FFEF80A866B47A981F SWIFT_PLATFORM=ubuntu22.04 SWIFT_BRANCH=swift-6.0.2-release SWIFT_VERSION=swift-6.0.2-RELEASE SWIFT_WEBROOT=https://download.swift.org /bin/sh -c set -e; ARCH_NAME="$(dpkg --print-architecture)"; url=; case "${ARCH_NAME##*-}" in 'amd64') OS_ARCH_SUFFIX=''; ;; 'arm64') OS_ARCH_SUFFIX='-aarch64'; ;; *) echo >&2 "error: unsupported architecture: '$ARCH_NAME'"; exit 1 ;; esac; SWIFT_WEBDIR="$SWIFT_WEBROOT/$SWIFT_BRANCH/$(echo $SWIFT_PLATFORM | tr -d .)$OS_ARCH_SUFFIX" && SWIFT_BIN_URL="$SWIFT_WEBDIR/$SWIFT_VERSION/$SWIFT_VERSION-$SWIFT_PLATFORM$OS_ARCH_SUFFIX.tar.gz" && SWIFT_SIG_URL="$SWIFT_BIN_URL.sig" && export DEBIAN_FRONTEND=noninteractive && apt-get -q update && apt-get -q install -y curl gnupg && rm -rf /var/lib/apt/lists/* && export GNUPGHOME="$(mktemp -d)" && curl -fsSL "$SWIFT_BIN_URL" -o swift.tar.gz "$SWIFT_SIG_URL" -o swift.tar.gz.sig && gpg --batch --quiet --keyserver keyserver.ubuntu.com --recv-keys "$SWIFT_SIGNING_KEY" && gpg --batch --verify swift.tar.gz.sig swift.tar.gz && tar -xzf swift.tar.gz --directory / --strip-components=1 $SWIFT_VERSION-$SWIFT_PLATFORM$OS_ARCH_SUFFIX/usr/lib/swift/linux $SWIFT_VERSION-$SWIFT_PLATFORM$OS_ARCH_SUFFIX/usr/libexec/swift/linux && chmod -R o+r /usr/lib/swift /usr/libexec/swift && rm -rf "$GNUPGHOME" swift.tar.gz.sig swift.tar.gz && apt-get purge --auto-remove -y curl gnupg # buildkit

Details
Created

2024-10-28 18:01:55 UTC

Size

104 MB

Content Digest
Labels
  • description
    Docker Container for the Swift programming language
  • maintainer
    Swift Infrastructure <swift-infrastructure@forums.swift.org>
  • org.opencontainers.image.ref.name
    ubuntu
  • org.opencontainers.image.version
    22.04

Environment
PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

SWIFT_BRANCH

swift-6.0.2-release

SWIFT_PLATFORM

ubuntu22.04

SWIFT_SIGNING_KEY

52BB7E3DE28A71BE22EC05FFEF80A866B47A981F

SWIFT_VERSION

swift-6.0.2-RELEASE

SWIFT_WEBROOT

https://download.swift.org


Layers

[#000] sha256:a186900671ab62e1dea364788f4e84c156e1825939914cfb5a6770be2b58b4da - 24.97% (26.1 MB)

[#001] sha256:52e68b106f7e1cc6f98a73de5af7c6e3d22e4e7db28a0ad68c083481f1c2fe6d - 17.43% (18.2 MB)

[#002] sha256:acf0c41266d099db4cec4e168241a87f383f217bd364d3f11176aea35cc778b4 - 57.6% (60.2 MB)


History
2024-09-11 16:26:04 UTC

/bin/sh -c #(nop) ARG RELEASE

2024-09-11 16:26:04 UTC

/bin/sh -c #(nop) ARG LAUNCHPAD_BUILD_ARCH

2024-09-11 16:26:04 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.ref.name=ubuntu

2024-09-11 16:26:04 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.version=22.04

2024-09-11 16:26:06 UTC

/bin/sh -c #(nop) ADD file:53ce73ebbd6d87a234a33414686f12909aaaf28b7238593f746a327c7d004ce7 in /

2024-09-11 16:26:06 UTC

/bin/sh -c #(nop) CMD ["/bin/bash"]

2024-10-28 18:01:55 UTC (buildkit.dockerfile.v0)

LABEL maintainer=Swift Infrastructure <swift-infrastructure@forums.swift.org>

2024-10-28 18:01:55 UTC (buildkit.dockerfile.v0)

LABEL description=Docker Container for the Swift programming language

2024-10-28 18:01:55 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c export DEBIAN_FRONTEND=noninteractive DEBCONF_NONINTERACTIVE_SEEN=true && apt-get -q update && apt-get -q install -y libcurl4 libxml2 tzdata && rm -r /var/lib/apt/lists/* # buildkit

2024-10-28 18:01:55 UTC (buildkit.dockerfile.v0)

ARG SWIFT_SIGNING_KEY=52BB7E3DE28A71BE22EC05FFEF80A866B47A981F

2024-10-28 18:01:55 UTC (buildkit.dockerfile.v0)

ARG SWIFT_PLATFORM=ubuntu22.04

2024-10-28 18:01:55 UTC (buildkit.dockerfile.v0)

ARG SWIFT_BRANCH=swift-6.0.2-release

2024-10-28 18:01:55 UTC (buildkit.dockerfile.v0)

ARG SWIFT_VERSION=swift-6.0.2-RELEASE

2024-10-28 18:01:55 UTC (buildkit.dockerfile.v0)

ARG SWIFT_WEBROOT=https://download.swift.org

2024-10-28 18:01:55 UTC (buildkit.dockerfile.v0)

ENV SWIFT_SIGNING_KEY=52BB7E3DE28A71BE22EC05FFEF80A866B47A981F SWIFT_PLATFORM=ubuntu22.04 SWIFT_BRANCH=swift-6.0.2-release SWIFT_VERSION=swift-6.0.2-RELEASE SWIFT_WEBROOT=https://download.swift.org

2024-10-28 18:01:55 UTC (buildkit.dockerfile.v0)

RUN |5 SWIFT_SIGNING_KEY=52BB7E3DE28A71BE22EC05FFEF80A866B47A981F SWIFT_PLATFORM=ubuntu22.04 SWIFT_BRANCH=swift-6.0.2-release SWIFT_VERSION=swift-6.0.2-RELEASE SWIFT_WEBROOT=https://download.swift.org /bin/sh -c set -e; ARCH_NAME="$(dpkg --print-architecture)"; url=; case "${ARCH_NAME##*-}" in 'amd64') OS_ARCH_SUFFIX=''; ;; 'arm64') OS_ARCH_SUFFIX='-aarch64'; ;; *) echo >&2 "error: unsupported architecture: '$ARCH_NAME'"; exit 1 ;; esac; SWIFT_WEBDIR="$SWIFT_WEBROOT/$SWIFT_BRANCH/$(echo $SWIFT_PLATFORM | tr -d .)$OS_ARCH_SUFFIX" && SWIFT_BIN_URL="$SWIFT_WEBDIR/$SWIFT_VERSION/$SWIFT_VERSION-$SWIFT_PLATFORM$OS_ARCH_SUFFIX.tar.gz" && SWIFT_SIG_URL="$SWIFT_BIN_URL.sig" && export DEBIAN_FRONTEND=noninteractive && apt-get -q update && apt-get -q install -y curl gnupg && rm -rf /var/lib/apt/lists/* && export GNUPGHOME="$(mktemp -d)" && curl -fsSL "$SWIFT_BIN_URL" -o swift.tar.gz "$SWIFT_SIG_URL" -o swift.tar.gz.sig && gpg --batch --quiet --keyserver keyserver.ubuntu.com --recv-keys "$SWIFT_SIGNING_KEY" && gpg --batch --verify swift.tar.gz.sig swift.tar.gz && tar -xzf swift.tar.gz --directory / --strip-components=1 $SWIFT_VERSION-$SWIFT_PLATFORM$OS_ARCH_SUFFIX/usr/lib/swift/linux $SWIFT_VERSION-$SWIFT_PLATFORM$OS_ARCH_SUFFIX/usr/libexec/swift/linux && chmod -R o+r /usr/lib/swift /usr/libexec/swift && rm -rf "$GNUPGHOME" swift.tar.gz.sig swift.tar.gz && apt-get purge --auto-remove -y curl gnupg # buildkit

Danger Zone
Delete Tag

Please be careful as this will not just delete the reference but also the actual content!

For example when you have latest and v1.2.3 both pointing to the same image
the deletion of latest will also permanently remove v1.2.3.

Delete